<?php
    namespace Mvc\Request;

    class Request {
        private const HTTP_GET = 'GET';
        private const HTTP_POST = 'POST';

        private $_aHttpParams = [];

        private $_controller;
        private $_action;
        private $_url;
        private $_baseUrl;

        public function _construct() {
            if (isset($_SERVEUR['REQUEST_URI']) == false || empty($_SERVEUR['REQUEST_URI']) == true) {
                throw new Exception("REQUEST_URI not found ");
            }

            $_url = $_SERVER['REQUEST_URI'];

            $_aHttpParams[self::HTTP_GET] = $_GET;
            $_aHttpParams[self::HTTP_POST] = $_POST;
        }

        /**
         * Get the value of _controller
         */ 
        public function get_controller()
        {
            return $this->_controller;
        }

        /**
         * Set the value of _controller
         *
         * @return  self
         */ 
        public function set_controller($_controller)
        {
            $this->_controller = $_controller;

            return $this;
        }

        /**
         * Get the value of _action
         */ 
        public function get_action()
        {
            return $this->_action;
        }

        /**
         * Set the value of _action
         *
         * @return  self
         */ 
        public function set_action($_action)
        {
            $this->_action = $_action;

            return $this;
        }

        /**
         * Get the value of _url
         */ 
        public function get_url()
        {
            return $this->_url;
        }

        /**
         * Set the value of _url
         *
         * @return  self
         */ 
        public function set_url($_url)
        {
            $this->_url = $_url;

            return $this;
        }

        /**
         * Get the value of _baseUrl
         */ 
        public function get_baseUrl()
        {
            return $this->_baseUrl;
        }

        /**
         * Set the value of _baseUrl
         *
         * @return  self
         */ 
        public function set_baseUrl($_baseUrl)
        {
            $this->_baseUrl = $_baseUrl;

            return $this;
        }

        public function isPost()
        {
            return ($_SERVER['REQUEST_METHOD'] == self::HTTP_POST);
        }
    }
?>